Subject: [Sml] Comments on draft-ietf-sml-structured-quoted-content-00
From: Alexey Melnikov <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 21 Jul 2026 14:23:51 +0100
List-Id: Structured Email <sml.ietf.org>

Hi all,

As I promised during the SML IETF meeting in Vienna, I am sending some 
small issues that I found while implementing:

> 4.  JSON-LD Objects

General: please introduce each object type in prose (i.e. how it is 
used) before describing its properties. I am not always 100% certain 
what purpose is for different object types. Examples later in the text 
help, but I don't think the document has to rely on examples for 
explanation.

>     Structured Quoted Content uses the following object types.
>
>     *EmailMessage*
>
> * vocabulary: schema.org and sml.draft.iana.org
> * id format: "mid:<message-id header>"
> * The following properties can be set: sender, toRecipient, dateSent, dateReceived, about (subject)

ccRecipient and bccRecipient are not listed above, but shown in 
examples, so I think they need to be added to the above list.

Are other properties allowed or is the above list supposed to be complete?

What should happen if one of the EmailMessage properties not listed 
above is included in JSON-LD?

In Section 8.1.2:

        "about": {
          "@type": "Thing",
          "@id":"mid:[email-masked]/subject",

Does it matter that the URI ends in /subject instead of /about (EmailMessage property name)? Or it doesn't matter and the above is just an example?

We should also check whether mid: URI syntax allows for the above.

          "name": "Lorem ipsum"
        },

      {
        "@context":"https://sml.draft.iana.org",
        "@type": "QuotedContent",
        "@id": "quoted-content:A1000001-0000-0000-0000-000000000001",
        "message":"mid:[email-masked]",
        "preamble": "forward-preamble:A1000006-0000-0000-0000-000000000001",
        "headerBlock": "quoted-header-block:A1000002-0000-0000-0000-000000000001",
        "content": [
          "text-content:A1000004-0000-0000-0000-000000000001",
          "quoted-content:A1000001-0000-0000-0000-000000000002"

I was a bit confused about what is the meaning of multiple values here, so please clarify. Also, why would one choose to use a single QuotedContent object versa multiple?

Thank you,
Alexey